import request from '@/utils/request'

// 查询能源类型信息列表
export function listBaseEnergyType(query) {
  return request({
    url: '/ems/base/baseEnergyType/list',
    method: 'get',
    params: query
  })
}

// 查询能源类型信息详细
export function getBaseEnergyType(objId) {
  return request({
    url: '/ems/base/baseEnergyType/' + objId,
    method: 'get'
  })
}

// 新增能源类型信息
export function addBaseEnergyType(data) {
  return request({
    url: '/ems/base/baseEnergyType',
    method: 'post',
    data: data
  })
}

// 修改能源类型信息
export function updateBaseEnergyType(data) {
  return request({
    url: '/ems/base/baseEnergyType',
    method: 'put',
    data: data
  })
}

// 删除能源类型信息
export function delBaseEnergyType(objId) {
  return request({
    url: '/ems/base/baseEnergyType/' + objId,
    method: 'delete'
  })
}

// 查询能源类型信息列表
export function getBaseEnergyTypeList(query) {
  return request({
    url: '/ems/base/baseEnergyType/getBaseEnergyTypeList',
    method: 'get',
    params: query
  })
}
